%define name2 alsaplayer_ape
Name: alsaplayer-mac
Summary: Monkey's Audio Codec plugin for alsaplayer
Version: 0.0.0
Release: 5.1%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://www.alsaplayer.org
Source: http://lemenkov.newmail.ru/other/alsaplayer_plugins/ape/%{name2}-%{version}-4.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gcc-c++
BuildRequires: mac-devel alsaplayer-devel
Requires: alsaplayer
Provides: mac_engine.so

%description
Monkey's Audio decoding plugin for alsaplayer.

%prep
%setup -q -n %{name2}-%{version}-4

%build
make PREFIX=%{_prefix} LIBDIR=%{_libdir} 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/alsaplayer/input/
make install PREFIX=%{_prefix} LIBDIR=%{_libdir} DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc ChangeLog 
%{_libdir}/alsaplayer/input/mac_engine.so

%changelog

* Sat Mar 21 2009 Paulo Roma <roma@lcg.ufrj.br> 0.0.0-5
- Added Requires: alsaplayer.

* Mon Jul 09 2007 Paulo Roma <roma@lcg.ufrj.br> 0.0.0-4
- Initial spec file.

